Package org.apache.tools.ant.input

## Interface InputHandler

All Known Implementing Classes:
  `DefaultInputHandler`, `GreedyInputHandler`, `PropertyFileInputHandler`, `SecureInputHandler`

    public interface InputHandler

Plugin to Ant to handle requests for user input.

Since:
  Ant 1.5

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleInput​(InputRequest request)` Handle the request encapsulated in the argument.

### Method Detail

#### handleInput

    void handleInput​(InputRequest request)
              throws BuildException

Handle the request encapsulated in the argument.

Precondition: the request.getPrompt will return a non-null value.

Postcondition: request.getInput will return a non-null value, request.isInputValid will return true.

Parameters:
  `request` - the request to be processed
Throws:
  `BuildException` - if the input cannot be read from the console